| Irrlicht 3D Engine |

Public Member Functions
irr::scene::ISceneNodeAnimator Class Reference

Animates a scene node. Can animate position, rotation, material, and so on. More...

`#include <ISceneNodeAnimator.h>`

Inheritance diagram for irr::scene::ISceneNodeAnimator:

List of all members.

## Public Member Functions

- virtual void animateNode (ISceneNode *node, u32 timeMs)=0
    Animates a scene node.
- virtual ISceneNodeAnimator * createClone (ISceneNode *node, ISceneManager *newManager=0)=0
    Creates a clone of this animator.
- virtual ESCENE_NODE_ANIMATOR_TYPE getType () const
    Returns type of the scene node animator.
- virtual bool hasFinished (void) const
    Returns if the animator has finished.
- virtual bool isEventReceiverEnabled () const
    Returns true if this animator receives events.
- virtual bool OnEvent (const SEvent &event)
    Event receiver, override this function for camera controlling animators.

## Detailed Description

Animates a scene node. Can animate position, rotation, material, and so on.

A scene node animator is able to animate a scene node in a very simple way. It may change its position, rotation, scale and/or material. There are lots of animators to choose from. You can create scene node animators with the ISceneManager interface.

Definition at line 30 of file ISceneNodeAnimator.h.

## Member Function Documentation

virtual void irr::scene::ISceneNodeAnimator::animateNode | ( | ISceneNode * | node,
|  | u32 | timeMs
| ) |  | `[pure virtual]`

Animates a scene node.

Parameters:

  node | Node to animate.
  timeMs | Current time in milli seconds.

Referenced by irr::scene::ISceneNode::OnAnimate().

virtual ISceneNodeAnimator* irr::scene::ISceneNodeAnimator::createClone | ( | ISceneNode * | node,
|  | ISceneManager * | newManager = `0`
| ) |  | `[pure virtual]`

Creates a clone of this animator.

Please note that you will have to drop (IReferenceCounted::drop()) the returned pointer after calling this.

Referenced by irr::scene::ISceneNode::cloneMembers().

virtual ESCENE_NODE_ANIMATOR_TYPE irr::scene::ISceneNodeAnimator::getType | ( |  | ) | const`[inline, virtual]`

Returns type of the scene node animator.

Definition at line 59 of file ISceneNodeAnimator.h.

References irr::scene::ESNAT_UNKNOWN.

virtual bool irr::scene::ISceneNodeAnimator::hasFinished | ( | void |  | ) | const`[inline, virtual]`

Returns if the animator has finished.

This is only valid for non-looping animators with a discrete end state.

Returns:
  true if the animator has finished, false if it is still running.

Definition at line 67 of file ISceneNodeAnimator.h.

virtual bool irr::scene::ISceneNodeAnimator::isEventReceiverEnabled | ( |  | ) | const`[inline, virtual]`

Returns true if this animator receives events.

When attached to an active camera, this animator will be able to respond to events such as mouse and keyboard events.

Definition at line 47 of file ISceneNodeAnimator.h.

virtual bool irr::scene::ISceneNodeAnimator::OnEvent | ( | const SEvent & | event | ) | `[inline, virtual]`

Event receiver, override this function for camera controlling animators.

Implements irr::IEventReceiver.

Definition at line 53 of file ISceneNodeAnimator.h.

The documentation for this class was generated from the following file:

- ISceneNodeAnimator.h